Package ru.bitel.bgbilling.kernel.apps.server.bean

# Class AppsManager

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.kernel.apps.server.bean.AppsManager

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class AppsManager
    extends ru.bitel.common.dao.AbstarctDaoConstant
    implements java.lang.AutoCloseable

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.sql.Connection` | `con` |
  `protected int` | `userId` |

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AppsManager​(java.sql.Connection con, int userId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `close()` |
  `void` | `doModuleAction​(java.lang.String module, int moduleId, java.lang.String action, int contractId, javax.servlet.http.HttpServletRequest request, java.util.Map<java.lang.String,​java.lang.Object> dataMap, java.util.Map<java.lang.String,​java.lang.String> requestParamsMap)` |
  `void` | `doPluginAction​(java.lang.String pluginId, java.lang.String action, int contractId, javax.servlet.http.HttpServletRequest request, java.util.Map<java.lang.String,​java.lang.Object> dataMap, java.util.Map<java.lang.String,​java.lang.String> requestParamsMap)` |

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### con

    protected final java.sql.Connection con

  - ### userId

    protected final int userId

- ## Constructor Details

  - ### AppsManager

    public AppsManager​(java.sql.Connection con, int userId)

- ## Method Details

  - ### doModuleAction

    public void doModuleAction​(java.lang.String module, int moduleId, java.lang.String action, int contractId, javax.servlet.http.HttpServletRequest request, java.util.Map<java.lang.String,​java.lang.Object> dataMap, java.util.Map<java.lang.String,​java.lang.String> requestParamsMap) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### doPluginAction

    public void doPluginAction​(java.lang.String pluginId, java.lang.String action, int contractId, javax.servlet.http.HttpServletRequest request, java.util.Map<java.lang.String,​java.lang.Object> dataMap, java.util.Map<java.lang.String,​java.lang.String> requestParamsMap) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### close

    public void close() throws java.lang.Exception
    Specified by:
      `close` in interface `java.lang.AutoCloseable`
    Throws:
      `java.lang.Exception`